Page MenuHomePhabricator

Reference parsing isn't capturing all html for a reference on a specific page
Closed, ResolvedPublic

Description

Repro steps / testing criteria:

  • Load "enwiki > Race (human categorization)"
  • Tap the "[7]" reference
  • The panel shows only "See:" with nothing else
  • If you scroll to the "7" reference in the references section you will see what should be appearing after "See:"

Event Timeline

Mhurd created this task.Nov 14 2016, 7:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2016, 7:20 PM
Mhurd added a subscriber: JMinor.Nov 14 2016, 7:21 PM

@JMinor
Should be a fairly simple JS ref parsing fix.

JMinor triaged this task as Low priority.Nov 14 2016, 8:15 PM

Could be higher priority if more widespread.

julbod claimed this task.Feb 16 2017, 2:31 AM
Mhurd added a comment.Apr 10 2017, 8:49 PM

@julbod Hey thanks for taking a look at this. Just wanted to check-in and see how it was going.

julbod added a comment.EditedApr 12 2017, 2:23 PM

@Mhurd Hey, yes I worked a little on this.
I got the reference parsing to work, and references are displayed in the popover, but not appear as clickable links. References here are links to anchors (href="#..."). I can remember that references are displayed in a UITextView using NSAttributedString, and it seems that only complete URLs are recognized as links.

So, the last thing I did was to look for a solution to make these links clickable. After that, I think, we need to handle the click to redirect to the right anchor in the article.

Mhurd added a comment.Apr 12 2017, 5:44 PM

@julbod oh interesting! feel free to open a PR and use the "WIP" label (work-in-progress) if you want early feedback or have questions.

julbod removed julbod as the assignee of this task.Apr 19 2017, 2:35 AM
julbod added a subscriber: julbod.
ABorbaWMF added a subscriber: ABorbaWMF.

Tested on an iPhone 7+ with iOS 10.3 and an iPad Mini 2 Retina on Beta App 5.5.0 (1129)

This is fixed. I tried the article listed above and some others.

JMinor closed this task as Resolved.May 23 2017, 9:09 PM